Chromium Code Reviews
Help | Chromium Project | Sign in
(69)

Issue 16184002: REGRESSION: Select listbox dispatches a change event on scroll. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 2 months ago by tkent
Modified:
2 years, 2 months ago
Reviewers:
keishi
CC:
blink-reviews, eae+blinkwatch, adamk+blink_chromium.org
Visibility:
Public.

Description

REGRESSION: Select listbox dispatches a change event on scroll. wkrev.com/143560 fixed mouse events on scrollbars, and broke an HTMLSelectElement assumption that mouseup event always happens on an <option> element. So, listBoxOnChange() was called unexpectedly. This patch avoids this problem by checking m_lastOnChangeSelection.isEmpty(), which means we didn't start click or drag in this <select> element. BUG=244406 TEST=automated R=keishi@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=151430

Patch Set 1 #

Messages

Total messages: 5 (0 generated)
tkent
2 years, 2 months ago (2013-05-29 05:23:31 UTC) #1
keishi
On 2013/05/29 05:23:31, tkent wrote: lgtm
2 years, 2 months ago (2013-05-29 10:45:58 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tkent@chromium.org/16184002/1
2 years, 2 months ago (2013-05-29 21:17:14 UTC) #3
commit-bot: I haz the power
Retried try job too often on win_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_layout_rel&number=7536
2 years, 2 months ago (2013-05-30 00:01:06 UTC) #4
tkent
2 years, 2 months ago (2013-05-30 00:44:44 UTC) #5
Message was sent while issue was closed.
Committed patchset #1 manually as r151430 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 5fa3ca5